import request from '@/utils/request'

// 查询时间段列表
export function list() {
  return request({
    url: `/admin/appTime/list`,
    method: 'get'
  })
}

// 新增时间段
export function submit(data) {
  return request({
    url: `/admin/appTime/addOrUpdate`,
    method: 'post',
    data
  })
}

// 删除 / 上下架时间段
export function change(ids, status) {
  return request({
    url: `/admin/appTime/hitOrSold/${ids}/${status}`,
    method: 'get'
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/admin/appTime/queryById/${id}`,
    method: 'get'
  })
}